Foros del Web » Programación » Java »

No puedo instalar eclipse 3.0.1

Estas en el tema de No puedo instalar eclipse 3.0.1 en el foro de Java en Foros del Web. 1.- Primero lo descomprimí eclipse-SDK-3.0.1-win32 en C:\eclipse 2.- en el mismo folder descomprimi JDT Runtime Binary 3.- y luego instalé j2re-1_4_2_07-windows-i586-p todo esto lo hice ...
  #1 (permalink)  
Antiguo 16/02/2005, 16:04
 
Fecha de Ingreso: enero-2004
Ubicación: México D,F
Mensajes: 44
Antigüedad: 10 años, 7 meses
Puntos: 0
No puedo instalar eclipse 3.0.1


1.- Primero lo descomprimí eclipse-SDK-3.0.1-win32 en C:\eclipse
2.- en el mismo folder descomprimi JDT Runtime Binary
3.- y luego instalé j2re-1_4_2_07-windows-i586-p
todo esto lo hice en XP pro y no funciona

me sale lo siguiente:

!SESSION feb 16, 2005 17:00:16.812 ---------------------------------------------
eclipse.buildId=M200409161125
java.version=1.3.1_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=es_MX

!ENTRY org.eclipse.osgi feb 16, 2005 17:00:16.812
!MESSAGE Error registering XML parser services.
!STACK 0
java.lang.ClassNotFoundException: javax.xml.parsers.SAXParserFactory
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Unknown Source)
at org.eclipse.core.runtime.adaptor.EclipseAdaptor.re gisterEndorsedXMLParser(EclipseAdaptor.java:272)
at org.eclipse.core.runtime.adaptor.EclipseAdaptor.fr ameworkStart(EclipseAdaptor.java:253)
at org.eclipse.osgi.framework.internal.core.SystemBun dleActivator.start(SystemBundleActivator.java:61)
at org.eclipse.osgi.framework.internal.core.BundleCon textImpl$1.run(BundleContextImpl.java:958)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleCon textImpl.startActivator(BundleContextImpl.java:954 )
at org.eclipse.osgi.framework.internal.core.BundleCon textImpl.start(BundleContextImpl.java:937)
at org.eclipse.osgi.framework.internal.core.StartLeve lManager.resumeBundles(StartLevelManager.java:553)
at org.eclipse.osgi.framework.internal.core.StartLeve lManager.incFWSL(StartLevelManager.java:477)
at org.eclipse.osgi.framework.internal.core.StartLeve lManager.doSetStartLevel(StartLevelManager.java:27 3)
at org.eclipse.osgi.framework.internal.core.StartLeve lManager.launch(StartLevelManager.java:243)
at org.eclipse.osgi.framework.internal.core.SystemBun dle.resume(SystemBundle.java:166)
at org.eclipse.osgi.framework.internal.core.Framework .launch(Framework.java:425)
at org.eclipse.osgi.framework.internal.core.OSGi.laun ch(OSGi.java:51)
at org.eclipse.core.runtime.adaptor.EclipseStarter.st artup(EclipseStarter.java:216)
at org.eclipse.core.runtime.adaptor.EclipseStarter.ru n(EclipseStarter.java:127)
at java.lang.reflect.Method.invoke(Native Method)
at org.eclipse.core.launcher.Main.basicRun(Main.java: 185)
at org.eclipse.core.launcher.Main.run(Main.java:704)
at org.eclipse.core.launcher.Main.main(Main.java:688)

!ENTRY org.eclipse.osgi feb 16, 2005 17:00:16.906
!MESSAGE Startup error
!STACK 1
java.lang.NoClassDefFoundError: org/xml/sax/helpers/DefaultHandler
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknow n Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClassInternal(Unknown Source)
at org.eclipse.core.runtime.adaptor.PluginConverterIm pl.parsePluginInfo(PluginConverterImpl.java:557)
at org.eclipse.core.runtime.adaptor.PluginConverterIm pl.fillPluginInfo(PluginConverterImpl.java:111)
at org.eclipse.core.runtime.adaptor.PluginConverterIm pl.convertManifest(PluginConverterImpl.java:660)
at org.eclipse.core.runtime.adaptor.EclipseBundleData .generateManifest(EclipseBundleData.java:233)
at org.eclipse.core.runtime.adaptor.EclipseBundleData .loadManifest(EclipseBundleData.java:191)
at org.eclipse.core.runtime.adaptor.EclipseBundleData .getManifest(EclipseBundleData.java:159)
at org.eclipse.core.runtime.adaptor.EclipseBundleData .loadFromManifest(EclipseBundleData.java:280)
at org.eclipse.osgi.framework.internal.defaultadaptor .DefaultBundleData.initializeNewBundle(DefaultBund leData.java:77)
at org.eclipse.osgi.framework.internal.defaultadaptor .DefaultAdaptor$1.begin(DefaultAdaptor.java:451)
at org.eclipse.osgi.framework.internal.core.Framework .installWorkerPrivileged(Framework.java:746)
at org.eclipse.osgi.framework.internal.core.Framework $2.run(Framework.java:664)
at java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.Framework .installWorker(Framework.java:715)
at org.eclipse.osgi.framework.internal.core.Framework .installBundle(Framework.java:659)
at org.eclipse.osgi.framework.internal.core.BundleCon textImpl.installBundle(BundleContextImpl.java:219)
at org.eclipse.core.runtime.adaptor.EclipseStarter.in stallBundles(EclipseStarter.java:800)
at org.eclipse.core.runtime.adaptor.EclipseStarter.lo adBasicBundles(EclipseStarter.java:429)
at org.eclipse.core.runtime.adaptor.EclipseStarter.st artup(EclipseStarter.java:222)
at org.eclipse.core.runtime.adaptor.EclipseStarter.ru n(EclipseStarter.java:127)
at java.lang.reflect.Method.invoke(Native Method)
at org.eclipse.core.launcher.Main.basicRun(Main.java: 185)
at org.eclipse.core.launcher.Main.run(Main.java:704)
at org.eclipse.core.launcher.Main.main(Main.java:688)

!ENTRY org.eclipse.osgi feb 16, 2005 17:00:16.921
!MESSAGE Bundle initial@reference:file:c:/eclipse/pl...ipse.core.runtime_3.0.1/ [1] was not resolved.
.


Alguien sabe como solucionarlo?

gracias

Última edición por emiliomx; 16/02/2005 a las 16:17
  #2 (permalink)  
Antiguo 17/02/2005, 16:14
Avatar de basico  
Fecha de Ingreso: febrero-2005
Ubicación: Caracas mesma
Mensajes: 50
Antigüedad: 9 años, 6 meses
Puntos: 1
Información

En qué momento te sale este mensaje???

Una vez leí que el SP2 de Win XP daba conflictos con Eclipse, pero no sé en que especificamente porque yo trabajo con Win 2000 Prof. así que si tienes el SP2 instalado deberiasd revisar.

Sin más, espero haber ayudado. Cambio y fuera.
__________________

Básico ++
  #3 (permalink)  
Antiguo 17/02/2005, 16:18
 
Fecha de Ingreso: enero-2004
Ubicación: México D,F
Mensajes: 44
Antigüedad: 10 años, 7 meses
Puntos: 0
Gracias ya lo resolví instalé el j2sdk1.4.1_07 dentro del folder de eclipse..

saludos.
  #4 (permalink)  
Antiguo 17/02/2005, 16:20
Avatar de basico  
Fecha de Ingreso: febrero-2005
Ubicación: Caracas mesma
Mensajes: 50
Antigüedad: 9 años, 6 meses
Puntos: 1
De acuerdo

Buena opción. También puedes modificar el PATH de Windows para que compiles y ejecutes java's desde cualquier ubicación.

Cambio y fuera, paz.
__________________

Básico ++
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 17:49.
SEO by vBSEO 3.3.2